#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgconnectionbase.ui'
**
** Created: 2012-08-28T11:31:58
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgconnectionbase.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <knuminput.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DlgConnectionBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DlgConnectionBase::DlgConnectionBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DlgConnectionBase" );
    DlgConnectionBaseLayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "DlgConnectionBaseLayout"); 

    gb_reconnect = new QGroupBox( this, "gb_reconnect" );
    gb_reconnect->setColumnLayout(0, Qt::Vertical );
    gb_reconnect->layout()->setSpacing( KDialog::spacingHint() );
    gb_reconnect->layout()->setMargin( KDialog::marginHint() );
    gb_reconnectLayout = new QGridLayout( gb_reconnect->layout() );
    gb_reconnectLayout->setAlignment( Qt::AlignTop );

    cb_onerror = new QCheckBox( gb_reconnect, "cb_onerror" );

    gb_reconnectLayout->addMultiCellWidget( cb_onerror, 1, 1, 0, 1 );

    lb_after = new QLabel( gb_reconnect, "lb_after" );

    gb_reconnectLayout->addWidget( lb_after, 2, 1 );

    lb_retries = new QLabel( gb_reconnect, "lb_retries" );

    gb_reconnectLayout->addWidget( lb_retries, 0, 0 );

    le_after = new KIntSpinBox( gb_reconnect, "le_after" );
    le_after->setMaxValue( 3600 );
    le_after->setMinValue( 1 );

    gb_reconnectLayout->addWidget( le_after, 2, 2 );

    le_retries = new KIntSpinBox( gb_reconnect, "le_retries" );
    le_retries->setMinValue( 1 );

    gb_reconnectLayout->addWidget( le_retries, 0, 2 );

    cb_onbroken = new QCheckBox( gb_reconnect, "cb_onbroken" );

    gb_reconnectLayout->addMultiCellWidget( cb_onbroken, 3, 3, 0, 1 );
    spacer2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gb_reconnectLayout->addItem( spacer2, 0, 1 );
    spacer3 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gb_reconnectLayout->addItem( spacer3, 2, 0 );
    DlgConnectionBaseLayout->addWidget( gb_reconnect );

    gb_timeout = new QGroupBox( this, "gb_timeout" );
    gb_timeout->setColumnLayout(0, Qt::Vertical );
    gb_timeout->layout()->setSpacing( KDialog::spacingHint() );
    gb_timeout->layout()->setMargin( KDialog::marginHint() );
    gb_timeoutLayout = new QGridLayout( gb_timeout->layout() );
    gb_timeoutLayout->setAlignment( Qt::AlignTop );
    spacer3_2 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gb_timeoutLayout->addMultiCell( spacer3_2, 0, 0, 1, 2 );

    lb_nodata = new QLabel( gb_timeout, "lb_nodata" );

    gb_timeoutLayout->addWidget( lb_nodata, 0, 0 );

    lb_cannot = new QLabel( gb_timeout, "lb_cannot" );

    gb_timeoutLayout->addMultiCellWidget( lb_cannot, 2, 2, 0, 1 );
    spacer4 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gb_timeoutLayout->addItem( spacer4, 2, 2 );

    le_noresume = new KIntSpinBox( gb_timeout, "le_noresume" );
    le_noresume->setMaxValue( 3600 );
    le_noresume->setMinValue( 1 );

    gb_timeoutLayout->addWidget( le_noresume, 2, 3 );

    lb_or = new QLabel( gb_timeout, "lb_or" );

    gb_timeoutLayout->addMultiCellWidget( lb_or, 1, 1, 0, 2 );

    le_nodata = new KIntSpinBox( gb_timeout, "le_nodata" );
    le_nodata->setMaxValue( 3600 );
    le_nodata->setMinValue( 1 );

    gb_timeoutLayout->addWidget( le_nodata, 0, 3 );
    DlgConnectionBaseLayout->addWidget( gb_timeout );

    gb_type = new QGroupBox( this, "gb_type" );
    gb_type->setColumnLayout(0, Qt::Vertical );
    gb_type->layout()->setSpacing( KDialog::spacingHint() );
    gb_type->layout()->setMargin( KDialog::marginHint() );
    gb_typeLayout = new QGridLayout( gb_type->layout() );
    gb_typeLayout->setAlignment( Qt::AlignTop );

    cmb_type = new KComboBox( FALSE, gb_type, "cmb_type" );

    gb_typeLayout->addWidget( cmb_type, 0, 0 );

    cb_offlinemode = new QCheckBox( gb_type, "cb_offlinemode" );

    gb_typeLayout->addWidget( cb_offlinemode, 1, 0 );
    spacer5 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gb_typeLayout->addItem( spacer5, 0, 1 );

    lb_linknum = new QLabel( gb_type, "lb_linknum" );

    gb_typeLayout->addWidget( lb_linknum, 0, 2 );

    le_linknum = new KIntSpinBox( gb_type, "le_linknum" );
    le_linknum->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, le_linknum->sizePolicy().hasHeightForWidth() ) );

    gb_typeLayout->addWidget( le_linknum, 0, 3 );
    DlgConnectionBaseLayout->addWidget( gb_type );
    languageChange();
    resize( QSize(319, 355).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cb_onerror, SIGNAL( toggled(bool) ), lb_after, SLOT( setEnabled(bool) ) );
    connect( cb_onerror, SIGNAL( toggled(bool) ), le_after, SLOT( setEnabled(bool) ) );
    connect( cb_onerror, SIGNAL( toggled(bool) ), this, SLOT( slotChanged() ) );
    connect( le_after, SIGNAL( valueChanged(int) ), this, SLOT( slotChanged() ) );
    connect( le_retries, SIGNAL( valueChanged(int) ), this, SLOT( slotChanged() ) );
    connect( cb_onbroken, SIGNAL( toggled(bool) ), this, SLOT( slotChanged() ) );
    connect( le_nodata, SIGNAL( valueChanged(int) ), this, SLOT( slotChanged() ) );
    connect( le_noresume, SIGNAL( valueChanged(int) ), this, SLOT( slotChanged() ) );
    connect( cmb_type, SIGNAL( activated(int) ), this, SLOT( slotChanged() ) );
    connect( le_linknum, SIGNAL( valueChanged(int) ), this, SLOT( slotChanged() ) );
    connect( cb_offlinemode, SIGNAL( toggled(bool) ), this, SLOT( slotChanged() ) );
    connect( cmb_type, SIGNAL( activated(int) ), this, SLOT( comboActivated(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgConnectionBase::~DlgConnectionBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgConnectionBase::languageChange()
{
    gb_reconnect->setTitle( tr2i18n( "Reconnect Options" ) );
    cb_onerror->setText( tr2i18n( "On login or timeout error" ) );
    lb_after->setText( tr2i18n( "Reconnect after:" ) );
    lb_retries->setText( tr2i18n( "Number of retries:" ) );
    le_after->setSuffix( tr2i18n( " min" ) );
    cb_onbroken->setText( tr2i18n( "On broken connection" ) );
    gb_timeout->setTitle( tr2i18n( "Timeout Options" ) );
    lb_nodata->setText( tr2i18n( "If no data arrives in:" ) );
    lb_cannot->setText( tr2i18n( "If server cannot resume:" ) );
    le_noresume->setSuffix( tr2i18n( " min" ) );
    lb_or->setText( tr2i18n( "or" ) );
    le_nodata->setSuffix( tr2i18n( " min" ) );
    gb_type->setTitle( tr2i18n( "Connection Type" ) );
    cmb_type->clear();
    cmb_type->insertItem( tr2i18n( "Permanent" ) );
    cmb_type->insertItem( tr2i18n( "Ethernet" ) );
    cmb_type->insertItem( tr2i18n( "PLIP" ) );
    cmb_type->insertItem( tr2i18n( "SLIP" ) );
    cmb_type->insertItem( tr2i18n( "PPP" ) );
    cmb_type->insertItem( tr2i18n( "ISDN" ) );
    cb_offlinemode->setText( tr2i18n( "Offline mode" ) );
    lb_linknum->setText( tr2i18n( "Link number:" ) );
}

/****************************************************************************
** DlgConnectionBase meta object code from reading C++ file 'dlgconnectionbase.h'
**
** Created: Tue Aug 28 11:31:58 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgconnectionbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DlgConnectionBase::className() const
{
    return "DlgConnectionBase";
}

QMetaObject *DlgConnectionBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DlgConnectionBase( "DlgConnectionBase", &DlgConnectionBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DlgConnectionBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgConnectionBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DlgConnectionBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgConnectionBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DlgConnectionBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"slotChanged", 0, 0 };
    static const QUParameter param_slot_2[] = {
	{ 0, &static_QUType_int, 0, QUParameter::In }
    };
    static const QUMethod slot_2 = {"comboActivated", 1, param_slot_2 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "slotChanged()", &slot_1, QMetaData::Protected },
	{ "comboActivated(int)", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DlgConnectionBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgConnectionBase.setMetaObject( metaObj );
    return metaObj;
}

void* DlgConnectionBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgConnectionBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DlgConnectionBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotChanged(); break;
    case 2: comboActivated((int)static_QUType_int.get(_o+1)); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgConnectionBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DlgConnectionBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DlgConnectionBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
