#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlglimitsbase.ui'
**
** Created: 2012-08-28T11:32:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlglimitsbase.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DlgLimitsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DlgLimitsBase::DlgLimitsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DlgLimitsBase" );
    DlgLimitsBaseLayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "DlgLimitsBaseLayout"); 

    gb_limits = new QGroupBox( this, "gb_limits" );
    gb_limits->setColumnLayout(0, Qt::Vertical );
    gb_limits->layout()->setSpacing( KDialog::spacingHint() );
    gb_limits->layout()->setMargin( KDialog::marginHint() );
    gb_limitsLayout = new QGridLayout( gb_limits->layout() );
    gb_limitsLayout->setAlignment( Qt::AlignTop );

    lbl_maxnum = new QLabel( gb_limits, "lbl_maxnum" );

    gb_limitsLayout->addMultiCellWidget( lbl_maxnum, 0, 1, 0, 0 );

    lb_minband = new QLabel( gb_limits, "lb_minband" );

    gb_limitsLayout->addWidget( lb_minband, 2, 0 );

    lb_maxband = new QLabel( gb_limits, "lb_maxband" );

    gb_limitsLayout->addWidget( lb_maxband, 3, 0 );

    le_maxnum = new KIntSpinBox( gb_limits, "le_maxnum" );
    le_maxnum->setMinValue( 1 );

    gb_limitsLayout->addWidget( le_maxnum, 0, 2 );

    le_minband = new KIntSpinBox( gb_limits, "le_minband" );
    le_minband->setMaxValue( 100000 );
    le_minband->setMinValue( 100 );
    le_minband->setLineStep( 100 );

    gb_limitsLayout->addMultiCellWidget( le_minband, 1, 2, 2, 2 );

    le_maxband = new KIntSpinBox( gb_limits, "le_maxband" );
    le_maxband->setMaxValue( 100000 );
    le_maxband->setMinValue( 100 );
    le_maxband->setLineStep( 100 );

    gb_limitsLayout->addWidget( le_maxband, 3, 2 );
    spacer19 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gb_limitsLayout->addItem( spacer19, 0, 1 );
    spacer20 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gb_limitsLayout->addItem( spacer20, 2, 1 );
    spacer21 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gb_limitsLayout->addItem( spacer21, 3, 1 );
    DlgLimitsBaseLayout->addWidget( gb_limits );
    languageChange();
    resize( QSize(568, 141).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( le_maxband, SIGNAL( valueChanged(int) ), this, SLOT( slotChanged() ) );
    connect( le_maxnum, SIGNAL( valueChanged(int) ), this, SLOT( slotChanged() ) );
    connect( le_minband, SIGNAL( valueChanged(int) ), this, SLOT( slotChanged() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgLimitsBase::~DlgLimitsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgLimitsBase::languageChange()
{
    gb_limits->setTitle( tr2i18n( "Limits Options" ) );
    lbl_maxnum->setText( tr2i18n( "Maximum open connections:" ) );
    lb_minband->setText( tr2i18n( "Minimum network bandwidth:" ) );
    lb_maxband->setText( tr2i18n( "Maximum network bandwidth:" ) );
    le_minband->setSuffix( tr2i18n( " bytes/sec" ) );
    le_maxband->setSuffix( tr2i18n( " bytes/sec" ) );
}

/****************************************************************************
** DlgLimitsBase meta object code from reading C++ file 'dlglimitsbase.h'
**
** Created: Tue Aug 28 11:32:00 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlglimitsbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DlgLimitsBase::className() const
{
    return "DlgLimitsBase";
}

QMetaObject *DlgLimitsBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DlgLimitsBase( "DlgLimitsBase", &DlgLimitsBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DlgLimitsBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgLimitsBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DlgLimitsBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgLimitsBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DlgLimitsBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"slotChanged", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "slotChanged()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DlgLimitsBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgLimitsBase.setMetaObject( metaObj );
    return metaObj;
}

void* DlgLimitsBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgLimitsBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DlgLimitsBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotChanged(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgLimitsBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DlgLimitsBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DlgLimitsBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
