#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgsystembase.ui'
**
** Created: 2012-08-28T11:32:03
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgsystembase.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <kfontrequester.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DlgSystemBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DlgSystemBase::DlgSystemBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DlgSystemBase" );
    DlgSystemBaseLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "DlgSystemBaseLayout"); 

    cb_useAnimation = new QCheckBox( this, "cb_useAnimation" );

    DlgSystemBaseLayout->addMultiCellWidget( cb_useAnimation, 0, 0, 0, 2 );

    textLabel4 = new QLabel( this, "textLabel4" );
    textLabel4->setEnabled( FALSE );

    DlgSystemBaseLayout->addMultiCellWidget( textLabel4, 1, 1, 0, 1 );

    textLabel5 = new QLabel( this, "textLabel5" );

    DlgSystemBaseLayout->addMultiCellWidget( textLabel5, 2, 2, 0, 1 );

    le_font = new KFontRequester( this, "le_font" );

    DlgSystemBaseLayout->addMultiCellWidget( le_font, 2, 2, 2, 6 );

    bg_window = new QButtonGroup( this, "bg_window" );
    bg_window->setEnabled( FALSE );
    bg_window->setFrameShape( QButtonGroup::NoFrame );
    bg_window->setColumnLayout(0, Qt::Vertical );
    bg_window->layout()->setSpacing( KDialog::spacingHint() );
    bg_window->layout()->setMargin( 0 );
    bg_windowLayout = new QHBoxLayout( bg_window->layout() );
    bg_windowLayout->setAlignment( Qt::AlignTop );

    rb_normal = new QRadioButton( bg_window, "rb_normal" );
    bg_windowLayout->addWidget( rb_normal );

    rb_docked = new QRadioButton( bg_window, "rb_docked" );
    bg_windowLayout->addWidget( rb_docked );

    rb_droptarget = new QRadioButton( bg_window, "rb_droptarget" );
    bg_windowLayout->addWidget( rb_droptarget );

    DlgSystemBaseLayout->addMultiCellWidget( bg_window, 1, 1, 2, 5 );
    spacer8 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    DlgSystemBaseLayout->addItem( spacer8, 1, 6 );
    spacer9 = new QSpacerItem( 40, 10, QSizePolicy::Minimum, QSizePolicy::Expanding );
    DlgSystemBaseLayout->addItem( spacer9, 3, 0 );
    languageChange();
    resize( QSize(389, 137).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cb_useAnimation, SIGNAL( toggled(bool) ), this, SLOT( slotChanged() ) );
    connect( bg_window, SIGNAL( toggled(bool) ), this, SLOT( slotChanged() ) );
    connect( le_font, SIGNAL( fontSelected(const QFont&) ), this, SLOT( slotChanged() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgSystemBase::~DlgSystemBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgSystemBase::languageChange()
{
    cb_useAnimation->setText( tr2i18n( "Use animation" ) );
    textLabel4->setText( tr2i18n( "Window style:" ) );
    textLabel5->setText( tr2i18n( "Font:" ) );
    bg_window->setTitle( QString::null );
    rb_normal->setText( tr2i18n( "Normal" ) );
    rb_docked->setText( tr2i18n( "Docked" ) );
    rb_droptarget->setText( tr2i18n( "Drop target" ) );
}

/****************************************************************************
** DlgSystemBase meta object code from reading C++ file 'dlgsystembase.h'
**
** Created: Tue Aug 28 11:32:03 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgsystembase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DlgSystemBase::className() const
{
    return "DlgSystemBase";
}

QMetaObject *DlgSystemBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DlgSystemBase( "DlgSystemBase", &DlgSystemBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DlgSystemBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgSystemBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DlgSystemBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgSystemBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DlgSystemBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"slotChanged", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "slotChanged()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DlgSystemBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgSystemBase.setMetaObject( metaObj );
    return metaObj;
}

void* DlgSystemBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgSystemBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DlgSystemBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotChanged(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgSystemBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DlgSystemBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DlgSystemBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
